API_URL_DATA = ".renoweb.dk/Legacy/JService.asmx/GetAffaldsplanMateriel_mitAffald"
API_URL_SEARCH = ".renoweb.dk/Legacy/JService.asmx/Adresse_SearchByString"

NON_SUPPORTED_ITEMS = [
    "Asbest",
    "Beholderservice",
    "Bestillerordning",
]

SUPPORTED_ITEMS = {
    "restaffaldmadaffald": ["Restaffald-Madaffald", "Rest/mad", "Restaffald", "Rest - Mad", "Rest-/Madaffald", "Mad- og restaffald", "Mad/rest", "Rest-/madaffald"],
    "dagrenovation": ["Dagrenovation"],
    "glas": ["Industri Genbrugeligt"],
    "metalglas": ["Glas og metal", "Metal-Glas", "Glas/Metal"],
    "pappi": ["Plast MDK og papir", "PAPPI", "Plast/MD-karton/PP"],
    "farligtaffald": ["Farligt affald", "Miljøkasser"],
    "farligtaffaldmiljoboks": ["Farligt affald/Miljøboks"],
    "flis": ["Flis"],
    "genbrug": ["Tekstiler", "Genbrug"],
    "jern": ["Jern"],
    "papir": ["Papir", "Papir 660 L"],
    "papirmetal": ["Papir & Metal", "Papir/metal"],
    "pap": ["Pap"],
    "plastmetal": ["Plast & Metal", "Plast, metal & MDK 660L", "Plast/ Metal"],
    "storskrald": ["Storskrald"],
    "storskraldogtekstilaffald": ["Storskrald og tekstilaffald"],
    "haveaffald": ["Haveaffald, flishugning", "Haveaffald"],
    "papirglas": ["Papir og pap/Glas"],
    "plastmadkarton": ["Plast/MDK"],
}

ICON_LIST = {
    "restaffaldmadaffald": "mdi:trash-can",
    "dagrenovation": "mdi:trash-can",
    "glas": "liquor",
    "metalglas": "mdi:glass-fragile",
    "pappi": "mdi:recycle",
    "farligtaffald": "mdi:biohazard",
    "farligtaffaldmiljoboks":"mdi:biohazard",
    "flis": "mdi:tree",
    "genbrug": "mdi:recycle",
    "jern": "mdi:bucket",
    "papir": "mdi:file",
    "papirmetal": "mdi:delete-empty",
    "pap": "mdi:note",
    "plastmetal": "mdi:trash-can-outline",
    "storskrald": "mdi:table-furniture",
    "storskraldogtekstilaffald": "mdi:table-furniture",
    "haveaffald": "mdi:leaf",
    "papirglas": "mdi:greenhouse",
    "plastmadkarton": "mdi:recycle",
}

NAME_LIST = {
    "restaffaldmadaffald": "Rest & Madaffald",
    "dagrenovation": "Dagrenovation",
    "glas": "Glas",
    "metalglas": "Metal & Glas",
    "pappi": "Papir & Plast",
    "farligtaffald": "Farligt affald",
    "farligtaffaldmiljoboks":"Farligt affald & Miljøboks",
    "flis": "Flis",
    "genbrug": "Genbrug",
    "jern": "Jern",
    "papir": "Papir",
    "papirmetal": "Papir & Metal",
    "pap": "Pap",
    "plastmetal": "Plast & Metal",
    "storskrald": "Storskrald",
    "storskraldogtekstilaffald": "Storskrald & Tekstilaffald",
    "haveaffald": "Haveaffald",
    "papirglas": "Papir, Pap & Glas",
    "plastmadkarton": "Plast & Madkarton",
}
NAME_ARRAY = list(NAME_LIST.keys())

MUNICIPALITIES_LIST = {
    "Aabenraa": "aabenraa",
    "Aalborg": "aalborg",
    "Albertslund": "albertslund",
    "Allerød": "alleroed",
    "Assens": "assens",
    "Ballerup": "ballerup",
    "Billund": "billund",
    "Bornholm": "bornholm",
    "Brøndby": "brondby",
    "Brønderslev": "bronderslev",
    "Dragør": "dragoer",
    "Egedal": "egedal",
    "Esbjerg": "esbjerg",
    "Fanø": "fanoe",
    "Favrskov": "favrskov",
    "Faxe": "faxe",
    "Fredensborg": "fredensborg",
    "Fredericia": "fredericia",
    "Frederiksberg": "frederiksberg",
    "Frederikshavn": "frederikshavn",
    "Frederikssund": "frederikssund",
    "Furesø": "furesoe",
    "Gentofte": "gentofte",
    "Gladsaxe": "gladsaxe",
    "Glostrup": "glostrup",
    "Greve": "greve",
    "Gribskov": "gribskov",
    "Guldborgsund": "guldborgsund",
    "Haderslev": "haderslev",
    "Halsnæs": "halsnaes",
    "Hedensted": "hedensted",
    "Helsingør": "helsingor",
    "Herlev": "herlev",
    "Herning": "herning",
    "Hillerød": "hillerod",
    "Hjørring": "hjoerring",
    "Holbæk": "holbæk",
    "Holstebro": "holstebro",
    "Horsens": "horsens",
    "Hvidovre": "hvidovre",
    "Høje-taastrup": "htk",
    "Hørsholm": "horsholm",
    "Ikast-Brande": "ikast-brande",
    "Ishøj": "ishoj",
    "Jammerbugt": "jammerbugt",
    "Kalundborg": "kalundborg",
    "Kerteminde": "kerteminde",
    "Kolding": "kolding",
    "Køge": "koege",
    "Læsø": "laesoe",
    "Lolland": "lolland",
    "Lyngby-Taarbæk": "ltf",
    "Mariagerfjord": "mariagerfjord",
    "Middelfart": "middelfart",
    "Morsø": "morsø",
    "Norddjurs": "norddjurs",
    "Nordfyns": "nordfyns",
    "Nyborg": "nyborg",
    "Næstved": "naestved",
    "Odder": "odder",
    "Odense": "odense",
    "Odsherred": "odsherred",
    "Randers": "randers",
    "Rebild": "rebild",
    "Ringkøbing-Skjern": "rksk",
    "Ringsted": "ringsted",
    "Roskilde": "roskilde",
    "Rødovre": "rk",
    "Samsø": "samsoe",
    "Silkeborg": "silkeborg",
    "Skanderborg": "skanderborg",
    "Skive": "skive",
    "Slagelse": "slagelse",
    "Solrød": "solrod",
    "Sorø": "soroe",
    "Stevns": "stevns",
    "Struer": "struer",
    "Svendborg": "svendborg",
    "Syddjurs": "syddjurs",
    "Sønderborg": "sonderborg",
    "Tårnby": "taarnby",
    "Thisted": "thisted",
    "Tønder": "toender",
    "Vallensbæk": "vallensbaek",
    "Varde": "varde",
    "Vejen": "vejen",
    "Vejle": "vejle",
    "Vesthimmerland": "vesthimmerland",
    "Viborg": "viborg",
    "Vordingborg": "vordingborg"
}

MUNICIPALITIES_ARRAY = list(MUNICIPALITIES_LIST.keys())
